INFINOTED(1)

NAME
infinoted - dedicated server for the infinote protocol (e.g. Gobby)

SYNOPSIS
infinoted-0.5 [options]

DESCRIPTION
infinoted is a dedicated server which allows clients to edit plain text documents and source files collaboratively over a network. Changes to the documents are synchronised instantly to the other clients.

This server supports the infinote protocol as implemented by libinfinity. Example clients include Gobby 0.4.9x, Kobby and a special plugin for gedit. It is not compatible to the older libobby protocol.

OPTIONS

  Help Options:

-h, --help
    Show help options

  Application Options:

-k, --key-file=KEY-FILE
    The server's private key

-c, --certificate-file=CERTIFICATE-FILE
    The server's certificate

--certificate-chain
    The certificates chain down to the root certificate

--create-key
    Creates a new random private key

--create-certificate
    Creates a new self-signed certificate using the given key

-p, --port-number=PORT
    The port number to listen on

--security-policy=no-tls|allow-tls|require-tls
    How to decide whether to use TLS

-r, --root-directory=DIRECTORY
    The directory to store documents into

--autosave-interval=INTERVAL
    Interval within which to save documents, in seconds, or 0 to disable autosave

-P, --password=PASSWORD
    Require given password on connections

-P, --pam-service=SERVICE
    Authenticate clients against given pam service on connection

-P, --allow-user=USERS
    Users allowed to connect after pam authentication. Separate entries with semicolons.

-P, --allow-group=GROUPS
    Group allowed to connect after pam authentication. Separate entries with semicolons.

--sync-directory=DIRECTORY
    A directory into which to periodically store a copy of the document tree

--sync-interval=INTERVAL
    Interval within which to store documents to the specified sync-directory, in seconds, or 0 to disable directory synchronization

-d, --daemonize
    Daemonize the server

-D, --kill-daemon
    Kill a running daemon

-v, --version
    Display version information and exit

AUTHOR
infinoted and libinfinity were written by Armin Burgmeier <armin@0x539.de>.